com.gary.msr.proto

## Class MSRProto

- java.lang.Object
- - com.gary.msr.proto.MSRProto

-     public class MSRProto
      extends java.lang.Object

  处理与层有关数据，不包括0x7E

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MSRLayer[]` | `allLayers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSRProto()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `buildMSRLayer1Data(MSRLayerParams.MSRLayer1Params params)`
    `static void` | `buildMSRLayer2Data(int index)`
    `static void` | `buildMSRLayerNData(MSRLayerParams.MSRLayerNParam param3)`
    `static void` | `clearLayerNDatas()`
    `static int` | `constructMSRConfigData(int[] configData)`
    `static int` | `deconstructMSRConfigData(int[] configData)`
    `static void` | `invalidateMSRLayerNData(int n)`
    `static MSRLayerParams.MSRLayer1Params` | `resolveMSRLayer1()`
    `static MSRLayerParams.MSRLayer2Params` | `resolveMSRLayer2()`
    `static MSRLayerParams.MSRLayerNParam` | `resolveMSRLayerN(int n)`
    `static java.util.List<MSRLayerParams.MSRLayerNParam>` | `resolveMSRLayerNs()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allLayers

          public static MSRLayer[] allLayers

  - ### Constructor Detail

    - #### MSRProto

          public MSRProto()

  - ### Method Detail

    - #### clearLayerNDatas

          public static void clearLayerNDatas()

    - #### constructMSRConfigData

          public static int constructMSRConfigData(int[] configData)

    - #### deconstructMSRConfigData

          public static int deconstructMSRConfigData(int[] configData)

    - #### resolveMSRLayer1

          public static MSRLayerParams.MSRLayer1Params resolveMSRLayer1()

    - #### buildMSRLayer1Data

          public static void buildMSRLayer1Data(MSRLayerParams.MSRLayer1Params params)

    - #### resolveMSRLayer2

          public static MSRLayerParams.MSRLayer2Params resolveMSRLayer2()

    - #### buildMSRLayer2Data

          public static void buildMSRLayer2Data(int index)

    - #### invalidateMSRLayerNData

          public static void invalidateMSRLayerNData(int n)

    - #### buildMSRLayerNData

          public static void buildMSRLayerNData(MSRLayerParams.MSRLayerNParam param3)

    - #### resolveMSRLayerN

          public static MSRLayerParams.MSRLayerNParam resolveMSRLayerN(int n)

    - #### resolveMSRLayerNs

          public static java.util.List<MSRLayerParams.MSRLayerNParam> resolveMSRLayerNs()